Bug 101790 - kickstart create /dev/mdmd0 in /etc/raidtab
kickstart create /dev/mdmd0 in /etc/raidtab
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: anaconda (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2003-08-06 17:40 EDT by Uwe Beck
Modified: 2007-11-30 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-08-06 18:00:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Uwe Beck 2003-08-06 17:40:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.08 [en] (X11; I; AIX 4.3)

Description of problem:
Use the --device option for creating a raid5 with kickstart.


part raid.01 --size 1 --grow --ondisk sdb --asprimary
part raid.02 --size 1 --grow --ondisk sdc --asprimary
part raid.03 --size 1 --grow --ondisk sdd --asprimary
part raid.04 --size 1 --grow --ondisk sde --asprimary

raid /usr2  --fstype ext3 --level=RAID5 --spares=1 --device md0 raid.01 raid.02
raid.03 raid.04

This kickstart instructions works correct at the same computer under Red Hat

Also you can find a example for using --device in the kickstart documentation at
the raid chapter.

RHEL ES 2.1´s anaconda create in file /etc/raidtab the /dev/mdmd0 device. Boot
after kickstart stop at mount because the /dev/mdmd0 does not exist.

Without the --device md0 option

raid /usr2  --fstype ext3 --level=RAID5 --spares=1 raid.01 raid.02 raid.03

the /etc/raidtab is o.k. and the boot after kickstart works.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create a raid5 with kickstart using the --device option
2. Reboot afte kickstart finished

Additional info:
Comment 1 Jeremy Katz 2003-08-06 18:00:31 EDT
Use --device 0 with 2.1 for md0 (or 1 for md1, etc).  The next release is a bit
more forgiving in the syntaxes it allows.
Comment 2 Uwe Beck 2003-08-07 10:58:46 EDT
The workaround --device 0 is o.k.. Now the /dev/md0 is in file /etc/raidtab.

raid /usr2  --fstype ext3 --level=RAID0 --device 0 raid.01 raid.02 raid.03 r

The fix comes with the next quaterly update because I user Q2 at this time?

Note You need to log in before you can comment on or make changes to this bug.